%define upstream_name    SVN-Look
%define upstream_version 0.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A caching wrapper around the svnlook command
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::file)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: subversion
Requires:   subversion
BuildArch:  noarch

%description
The svnlook command is the workhorse of Subversion hook scripts, being used
to gather all sorts of information about a repository, its revisions, and
its transactions. This module provides a simple object oriented interface
to a specific svnlook invocation, to make it easier to hook writers to get
and use the information they need. Moreover, all the information gathered
by calling the svnlook command is cached in the object, avoiding
repetitious calls.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 10 2020 tv <tv> 0.420.0-1.mga8
+ Revision: 1633054
- update to 0.42

* Wed Feb 12 2020 umeabot <umeabot> 0.410.0-7.mga8
+ Revision: 1497238
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.410.0-6.mga7
+ Revision: 1271257
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-5.mga6
+ Revision: 1033569
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.410.0-4.mga6
+ Revision: 948763
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.410.0-3.mga5
+ Revision: 788266
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-2.mga5
+ Revision: 744501
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.410.0-1.mga5
+ Revision: 736309
- BR subversion
- imported package perl-SVN-Look

